import { IDialogComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkDialog implements IDialogComponent {
    /**
     * Answer id
     */
    answerId: string;
    /**
     * Question code
     */
    code: string;
    /**
     * Question Id
     */
    questionId: string;
    /**
     * Is required
     */
    isRequired: boolean;
    useExternal: boolean;
    isOpen: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    onClick: () => void;
    renderInternal(): any;
}
